<template>
    <div>
        <h2>Supported platforms</h2>
        <div class="tabs" v-if="tabs">
            <div class="headers">
                <div @click="selectTab(tab.id)" v-for="tab in tabs" :key="tab.id" class="tab-header" :class="{selected: tab.selected}">
                    <img :src="tab.icon" />
                </div>
            </div>
            <div class="content" :class="contentClass">
                <div v-for="tab in tabs" :key="tab.id" class="tab-content" v-show="tab.selected">
                    <img :src="tab.image" />
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'Tabs',
    components: {
    },
    methods: {
        selectTab(id) {
            const result = this.tabs.map(tab => {
                return {
                    id: tab.id,
                    image: tab.image,
                    icon: tab.icon,
                    selected: tab.id === id ? true : false
                }
            })
            const idSelected = result.filter(tab => tab.selected === true)
            this.selectedId = idSelected[0].id
            switch (this.selectedId) {
                case 0:
                    this.contentClass = 'rad-up'
                    break
                case 2:
                    this.contentClass = 'rad-down'
                    break
                default:
                    this.contentClass = 'rad-full'
                    break
            }
            this.tabs = result
        },
    },
    mounted: function () {
        setInterval(() => {
            this.selectedId = (this.selectedId + 1) % 4
            this.selectTab(this.selectedId)
        }, 6000)
    },
    data () {
        return {
            contentClass: 'rad-full',
            selectedId: 1,
            tabs: [
                {
                    id: 0,
                    image: 'img/sheets/youtube.png',
                    icon: 'img/icons/youtube-icon.svg',
                    selected: false
                },
                {
                    id: 1,
                    image: 'img/sheets/medium.png',
                    icon: 'img/icons/stack-icon.svg',
                    selected: true
                },
                {
                    id: 3,
                    image: 'img/sheets/medium.png',
                    icon: 'img/icons/medium-icon.svg',
                    selected: false
                },
            ]
        }
    }
}
</script>

<style scoped>

    h2 {
        margin-left: 1em;
        margin-bottom: 0.8em;
    }
    .tabs {
        display: flex;
        text-align: center;
        margin: 1.5em;
        width: 100%;
    }
    .selected {
        background-color: #fff;
    }
    .headers {
        width: 20%;
    }
    .tab-header {
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 25%;
        border-radius: 20px 0 0 20px;
        transition: all 0.25s ease-out;
    }
    .content {
        width: 80%;
        background-color: #fff;
        height: 480px;
    }
    .rad-full {
        border-radius: 20px;
    }
    .rad-down {
        border-radius: 20px 20px 20px 0;
    }
    .rad-up {
        border-radius: 0 20px 20px 20px;
    }
    img {
        padding: 1em;
        width: 100%;
    }

</style>